<?php
define ( 'NO_AUTH_CHECK', 1 );

require_once ( 'includes/commons.inc.php' );

$tpl_ann = new Template ( 'templates/' . $UPL['SETTINGS']['tpl'] . '/tpl_announcements.php' );

// read in announcements
$db = new DB;
if(!$db->open(ANNOUNCEMENT_FILE))
{
	exit('Unable to open announcement file');
}
$ann = $db->all();
$ann = array_reverse ( $ann );

//print_r ( $ann );

// loop through announcements and parse
for ( $i = 0; $i < count ( $ann ); $i++ )
{
	$ann[$i]['time'] = date ( 'm/d/Y h:iA', $ann[$i]['time'] );
	if ( $ann[$i]['parse_bb'] )
	{
		$ann[$i]['content'] = parse_bb ( $ann[$i]['content'] );
	}
	$ann[$i]['content'] = str_replace ( '  ', ' &nbsp;', nl2br ( $ann[$i]['content'] ) );
}

$tpl_ann->setr ( 'announcements', $ann );
$tpl_uploader->setr ( 'content', $tpl_ann );
$tpl_uploader->display ( );

?>