<?php /* Show user info */ if ( $action == 'info' ) : ?>
<h1><?=ucfirst($user['name'])?>'s user info</h1>

<p class="p1">
    <strong class="s2">Options:</strong> &nbsp;
    <a href="<?=$user['browse_url']?>" class="special">Browse this user's files</a>
    <?php if ( $user['prf_private_msg'] ) : ?>
    - <a href="<?=$user['message_url']?>" class="special">Send this user a message</a>
    <?php endif; ?>
</p>

<table cellspacing="1" cellpadding="4" border="0" style="width:100%">
    <tr>
        <td style="width:100px;">Join date</td>
        <td><?=$user['reg_date']?> (<?=$user['reg_date_ago']?> days ago)</td>
    </tr>
    <tr>
        <td>Last login</td>
        <td><?=$user['last_login']?> (<?=$user['last_login_ago']?> days ago)</td>
    </tr>
    <?php /* show email only if user allows it */ if ( $user['prf_public_email'] ) : ?>
    <tr>
        <td>Email address</td>
        <td><?=$user['prf_public_email']? ascii_str ( $user['email'] ): 'Not available' ?></td>
    </tr>
    <?php /* endif for show email */ endif ; ?>
    <tr>
	<td colspan="2" class="ct"><input type="button" class="blue_button" value="OK" onclick="history.go(-1);" /></td>
    </tr>
</table>
<?php endif; ?>


<?php /* browse user files */ if ( $action == 'browse' ) : /* Required to display file icons for different file types */ include_once ( 'tpl_icons.php' ); ?>
<?php if ( $current_folder_name == '' ) : ?>
<table cellspacing="0" cellpadding="5" style="width:100%;color:#505050;" id="user_folders_tbl">
    <tr skip_alternate="skip_alternate" style="background-color:#e0e0e0;font-weight:bold;line-height:1.4em;">
	<td style="padding-left: 8px;"><?=ucfirst($user['name'])?>'s folders</td>
	<td class="ct" style="width:55px;"></td>
    </tr>
    <?php reset ( $public_folders ); while ( list ( , $folder ) = each ( $public_folders ) ) : ?>
    <tr>
	<td><img src="templates/default2/images/folder3.gif" alt="" class="img1" /> <a href="<?=$folder['browse_url']?>"><?=$folder['name']?></a>
	<span style="color:#909090;"><?=trim($folder['description'])!==''?' - '.substr($folder['description'],0,40).'...':''?></span></td>
	<td class="ct"><?=$folder['files']?$folder['files'].' files':'Empty'?></td>
    </tr>
    <?php endwhile; ?>
</table>
<?php else : ?>
<p class="p1">
    <span class="head1"><?=$current_folder_name?></span>
    <br />
    <span class="small"><?=$current_folder_description==''?'No description':$current_folder_description?></span>
</p>

<table cellspacing="1" cellpadding="3" style="width:100%;color:#505050;" id="user_files_tbl">
    <tr skip_alternate="skip_alternate" style="background-color:#e0e0e0;font-weight:bold;line-height:1.5em;">
	<td style="padding-left: 8px;">Filename</t>
	<td class="ct" style="width: 50px;">Size</td>
	<td class="ct" style="width: 120px;">Upload date</td>
    </tr>
    <?php reset ( $user_files ); while ( list ( , $file ) = each ( $user_files ) ) : ?>
    <tr>
	<td><img src="templates/default2/images/icons/<?=tpl_myfiles_get_icon($file['ext'])?>" alt="" class="img1" /> &nbsp;<a href="<?=$file['file_url']?>"><?=str_slice($file['name'],40)?></a></td>
	<td class="ct"><?=$file['size']?></td>
	<td class="ct"><?=$file['date']?></td>
    </tr>
    <?php endwhile; ?>
</table>
<?php endif; ?>

<script type="text/javascript">
    alternateRowColor(getObj('user_folders_tbl'),'tr','#fafafa','#fefefe');
    alternateRowColor(getObj('user_files_tbl'),'tr','#fafafa','#fefefe');
</script>
<?php /* End action */ endif; ?>