<script type="text/javascript">
function validateForm ( form )
{
    if ( form )
    {
        if ( form.user_action_type.value == 'delete' ) return confirm ( 'Are you sure you want to delete the selected users?' );
    }
    return true;
}
</script>

<h1>User Management</h1>
<p style="background-color:#FAFAFA;padding:5px;margin-bottom:4px;color:#404040;">
    <strong class="s2">List users:</strong> &nbsp;
    <?=$list_type=='all'?'All':'<a href="admin.php?action=users&amp;list=all" class="special">All</a>'?> -
    <?=$list_type=='approval'?'Approval':'<a href="admin.php?action=users&amp;list=approval" class="special">Approval</a>'?> -
    <?=$list_type=='bandwidth'?'Bandwidth':'<a href="admin.php?action=users&amp;list=bandwidth" class="special">Bandwidth</a>'?> -
    <?=$list_type=='filter'?'By filter':'<a href="admin.php?action=users&amp;list=filter" class="special">By filter</a>'?>

    &nbsp; &nbsp; &nbsp; &nbsp;<strong class="s2">Sort list by:</strong>
    <?=$sort_by=='name'?'Username':'<a href="'.$sort_name_url.'" class="special">Username</a>'?> -
    <?=$sort_by=='id'?'User ID':'<a href="'.$sort_id_url.'" class="special">User ID</a>'?> -
    <?=$sort_by=='space'?'Space':'<a href="'.$sort_space_url.'" class="special">Space</a>'?> -
    <?=$sort_by=='bw'?'Bandwidth':'<a href="'.$sort_bw_url.'" class="special">Bandwidth</a>'?>
</p>

<!-- user filter form -->
<?php /* Show this only if list_type is "filter" */ if ( $list_type == 'filter' ) : ?>
<form method="post" action="admin.php?action=users&amp;list=filter">
    <fieldset>
        <legend>Filter values</legend>
        <table id="filter_tbl" style="width:100%;" cellspacing="1" cellpadding="4" border="0">
            <tr>
                <td>Account level</td>
                <td>
                    <select name="filters[level]" style="width:120px;">
                        <option value="admin" <?=isset($filters['level'])&&$filters['level']=='admin'?'selected="selected"':''?>>Administrator</option>
                        <option value="moderator" <?=isset($filters['level'])&&$filters['level']=='moderator'?'selected="selected"':''?>>Moderator</option>
                        <option value="normal" <?=isset($filters['level'])&&$filters['level']=='normal'?'selected="selected"':''?>>Normal</option>
                        <option value="" <?=!isset($filters['level'])||$filters['level']==''?'selected="selected"':''?>>Any</option>
                    </select>
                </td>
                <td>Username</td>
                <td><input type="text" name="filters[name]" value="<?=@$filters['name']?>" size="20" /></td>

            </tr>
            <tr>
                <td>Is approved</td>
                <td>
                    <select name="filters[is_approved]" style="width:120px;">
                        <option value="" <?=!isset($filters['is_approved'])||$filters['is_approved']==''?'selected="selected"':''?>>Any</option>
                        <option value="true" <?=isset($filters['is_approved'])&&$filters['is_approved']=='true'?'selected="selected"':''?>>Approved</option>
                        <option value="false" <?=isset($filters['is_approved'])&&$filters['is_approved']=='false'?'selected="selected"':''?>>Not approved</option>
                    </select>
                </td>
                <td>Email address</td>
                <td><input type="text" name="filters[email]" value="<?=@$filters['email']?>" size="40" /></td>
            </tr>
            <tr>
                <td>Is suspended</td>
                <td>
                    <select name="filters[is_suspended]" style="width:120px;">
                        <option value="" <?=!isset($filters['is_suspended'])||$filters['is_suspended']==''?'selected="selected"':''?>>Any</option>
                        <option value="true" <?=isset($filters['is_suspended'])&&$filters['is_suspended']=='true'?'selected="selected"':''?>>Suspended</option>
                        <option value="false" <?=isset($filters['is_suspended'])&&$filters['is_suspended']=='false'?'selected="selected"':''?>>Not suspended</option>
                    </select>
                </td>
                <td>Admin comments</td>
                <td><input type="text" name="filters[admin_comments]" value="<?=@$filters['admin_comments']?>" size="40" /></td>
            </tr>
            <tr>
                <td>Is activated</td>
                <td>
                    <select name="filters[is_activated]" style="width:120px;">
                        <option value="" <?=!isset($filters['is_activated'])||$filters['is_activated']==''?'selected="selected"':''?>>Any</option>
                        <option value="true" <?=isset($filters['is_activated'])&&$filters['is_activated']=='true'?'selected="selected"':''?>>Activated</option>
                        <option value="false" <?=isset($filters['is_activated'])&&$filters['is_activated']=='false'?'selected="selected"':''?>>Not activated</option>
                    </select>
                </td>
                <td>Registration time</td>
                <td>
		    <input type="text" name="filters[reg_time]" value="<?=@$filters['reg_time']?>" size="5" style="text-align:center;" /> days and longer
		</td>
            </tr>
	    <tr>
		<td>Bandwidth used</td>
		<td>
		    <select name="filters[bw_used_op]">
			<option value="lt" <?=@$filters['bw_used_op']=='lt'?'selected="selected"':''?>>&lt;</option>
			<option value="gt" <?=@$filters['bw_used_op']=='gt'?'selected="selected"':''?>>&gt;</option>
		    </select>
		    <input type="text" size="2" name="filters[bw_used]" value="<?=@$filters['bw_used']?>" maxlength="2" style="text-align:center;" /> &#37;</td>
		<td>Last login</td>
		<td>
		    <input type="text" name="filters[last_login]" value="<?=@$filters['last_login']?>" size="5" style="text-align:center;" /> days ago (<span class="help" onclick="help('Show users whose last login is at least X days ago.');">?</span>)
		</td>
	    </tr>
            <tr>
                <td colspan="4" class="ct">
                    <input type="submit" value="Filter" class="blue_button" /> <input type="button" value="Clear all filters" onclick="go('admin.php?action=users&amp;list=filter');" class="blue_button" />
                </td>
            </td>
        </table>
    </fieldset>
</form>
<?php endif; ?>

<form method="post" action="admin.php?action=user_actions" onsubmit="return validateForm(this);">
    <fieldset>
        <legend>Registered Users</legend>
        <table id="user_tbl" style="width:100%;color:#808080" cellspacing="1" cellpadding="3" border="0">
            <tr class="color3" skip_alternate="skip_alternate">
                <td style="width:15px;"><strong class="s1">ID</strong></td>
                <td style="width:200px;"><strong class="s1">Username</strong></td>
                <td class="ct"><strong class="s1">Email</strong></td>
                <td class="ct"><strong class="s1">Actions</strong></td>
                <td style="width:18px;" class="ct"><input type="checkbox"   onclick="checkAllBoxes(this.form,'selected_users[]',this.checked);" /></td>
            </tr>
            <?php reset ( $users ); while ( list ( $i, $user ) = each ( $users ) ) : ?>
            <tr>
                <td class="ct"><?=$user['id']?></td>
                <td><a href="<?=$user['info_url']?>"><?=$user['name']?></a></td>
                <td class="ct"><a href="<?=$user['email_url']?>"><?=$user['email']?></a></td>
                <td class="ct"><a href="<?=$user['edit_url']?>"><img src="templates/default2/images/b_edit.gif" alt="" /></a> <a href="<?=$user['files_url']?>"><img src="templates/default2/images/b_files.gif" alt="" /></a></td>
                <td class="ct"><input type="checkbox" name="selected_users[]" value="<?=$user['id']?>"  /></td>
            </tr>
            <?php endwhile; ?>
            <?php /* If there are no users, show this */ if ( count ( $users ) == 0 ) : ?>
            <tr>
                <td></td>
                <td colspan="3" style="padding:4px;color:gray;">
                    <?php if ( $list_type == 'all' ) : ?>No users found!<?php endif;?>
                    <?php if ( $list_type == 'approval' ) : ?>There are no new users at the moment.<?php endif;?>
                    <?php if ( $list_type == 'bandwidth' ) : ?>There are no users that have exceeded their bandwidth limit.<?php endif;?>
                    <?php if ( $list_type == 'filter' ) : ?>There are user matching your filter.<?php endif; ?>
                </td>
            </tr>
            <?php endif; ?>
        </table>
        <?php /* show pages links */ if ( $page_count > 1 ) : ?>
        <p style="text-align:right; background-color:#F0F0F0; padding: 3px; margin: 1px; font-size:0.9em;">
            Go to page:
			<select onchange="go(this.value);">
				<?php reset ( $page_links ); while ( list ( $i, $url ) = each ( $page_links ) ) : ?>
					<option value="<?=$url?>" <?=$i==$current_page?'selected="selected" style="font-weight:bold;"':''?>><?=$i+1?></option>
				<?php endwhile; ?>
			</select>
        </p>
        <?php endif; ?>
    </fieldset>


    <fieldset>
        <legend>User actions</legend>
        <table id="user_tb2" style="width:100%;" cellspacing="1" cellpadding="4" border="0">
            <tr>
                <td style="width:130px;"><strong class="s1">Target users</strong></td>
                <td colspan="2">
                    <select name="user_action_target" style="width:300px;">
                        <option value="selected" selected="selected">Selected users from the table above</option>
                        <option value="normal">All normal users (ignore Admins and Moderators)</option>
                        <option value="priviledged">Admins and moderators only</option>
                        <option value="all">All registered users</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td><strong class="s1">Action</strong></td>
                <td colspan="2">
                    <select name="user_action_type" style="width:300px;" onchange="showIt('set_field_value',this.value=='setfield');">
						<option value="">---User actions----</option>
                        <option value="approve">Approve account</option>
                        <option value="suspend">Suspend account</option>
                        <option value="unsuspend">Un-suspend account</option>
                        <option value="delete" style="color:red;">Delete account</option>
                        <option value="resetbw">Reset bandwidth counter</option>
						<option value="sendemail">Send an email to SELECTED users only.</option>
						<option value="prune_non_images">Prune (delete) files that are not images.</option>
                        <option value="setfield">Set field</option>
                    </select>
                </td>
            </tr>
        </table>
        <table id="set_field_value" style="width:100%;display:none;" cellspacing="1" cellpadding="4" border="0">
            <tr>
                <td rowspan="10" style="width:130px;"><strong class="s1">Set field value</strong>
                    <br /><span class="smalltext" style="color:#606060;">Leave fields empty if you do not want to edit.</span></td>
                <td style="width:130px;">Max file size</td>
                <td><input type="text" name="user_field_values[fl_max_filesize]" size="5" style="text-align:center;" /> KB</td>
            </tr>
            <tr>
                <td>Max storage</td>
                <td><input type="text" name="user_field_values[fl_max_storage]" size="5" style="text-align:center;" /> MB</td>
            </tr>
            <tr>
                <td>Max bandwidth</td>
                <td><input type="text" name="user_field_values[bw_max]" size="5" style="text-align:center;" /> MB</td>
            </tr>
            <tr>
                <td>Max folders</td>
                <td><input type="text" name="user_field_values[fl_max_folders]" size="5" style="text-align:center;" /> folders</td>
            </tr>
            <tr>
                <td>Bandwidth reset period</td>
                <td><input type="text" name="user_field_values[bw_reset_period]" size="5" style="text-align:center;" /> days</td>
            </tr>
            <tr>
                <td>Bandwidth reset mode</td>
                <td>
					<select name="user_field_values[bw_auto_reset]">
						<option value="">---</option>
						<option value="1">Auto</option>
						<option value="0">Manual</option>
					</select>
				</td>
            </tr>
            <tr>
                <td>Create folders</td>
                <td>
                    <select name="user_field_values[fl_create_folder]" style="width:121px;">
                        <option value="">------------------</option>
                        <option value="1">Can create new folders</option>
                        <option value="0">Cannot create new folders.</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Images only</td>
                <td>
                    <select name="user_field_values[fl_images_only]" style="width:121px;">
                        <option value="">------------------</option>
                        <option value="1">Images only</option>
                        <option value="0">Non-images allowed</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Image watermarking</td>
                <td>
                    <select name="user_field_values[fl_watermark]" style="width:121px;">
                        <option value="">------------------</option>
                        <option value="1">Watermark</option>
                        <option value="0">Don't watermark</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Allowed filetypes</td>
                <td><input type="text" name="user_field_values[fl_allowed_filetypes]" size="50" /> <br /><span class="smalltext">Example: jpg,bmp,mp3. Enter "ALL" (without the quotes and <strong>only</strong> "ALL") to allow all file types.</span></td>
            </tr>
        </table>
        <p style="text-align:center;margin-top:4px;padding:3px;" class="color2"><input type="submit" value="Submit" class="blue_button" /></p>
    </fieldset>
</form>

<script type="text/javascript">
    alternateRowColor(getObj('user_tbl'),'tr','#FBFBFB','#F5F5F5');
    alternateRowColor(getObj('user_tb2'),'tr','#FBFBFB','#F5F5F5');
    alternateRowColor(getObj('filter_tbl'),'tr','#FBFBFB','#F5F5F5');
    alternateRowColor(getObj('set_field_value'),'tr','#FBFBFB','#F5F5F5');
</script>