<h1><?=$userinfo['name']?>'s account</h1>
<p style="background-color:#FAFAFA;padding:5px;margin-bottom:4px;color:#404040;">
    <strong class="s2">Actions:</strong> &nbsp;
    <?=$action=='user_info' ? 'Info' : '<a href="'.$userinfo['info_url'].'" class="special">Info</a>'?> -
    <?=$action=='edit_user' ? 'Edit' : '<a href="'.$userinfo['edit_url'].'" class="special">Edit</a>'?> -
    <?=$action=='user_files' ? 'Files' : '<a href="'.$userinfo['manage_files_url'].'" class="special">Files</a>'?>
</p>


<?php /* View user info */ if ( $action == 'user_info' ) : ?>
<table id="user_info_tbl1" cellspacing="1" cellpadding="5" style="width: 100%;margin-top:1px;">
    <tr class="color3" skip_alternate="skip_alternate">
        <td colspan="2">
            <strong class="s1">Basic user info</strong>
        </td>
    </tr>
    <tr>
        <td style="width: 150px;">Username</td>
        <td><?=$userinfo['name']?></td>
    </tr>
    <tr>
        <td>Current e-mail</td>
        <td><a href="<?=$userinfo['email_url']?>"><?=$userinfo['email']?></a> (registered with email <?=$userinfo['reg_email']?>)</td>
    </tr>
    <tr>
        <td>Registered on</td>
        <td><?=$userinfo['reg_date']?> with IP address <?=$userinfo['reg_ip']?></td>
    </tr>
    <tr>
        <td style="vertical-align:top;">Last login</td>
        <td><?=$userinfo['last_login_time']?> from <?=$userinfo['last_login_ip']?></td>
    </tr>
    <tr>
        <td>Account level</td>
        <td><?=$userinfo['level']?></td>
    </tr>
    <tr>
        <td style="vertical-align:top;">Account info</td>
        <td>
            <?=$userinfo['is_activated'] ? '<span style="color:green;">Activated</span>' : '<span style="color:red;">Not activated</span>' ?> -
            <?=$userinfo['is_approved'] ? '<span style="color:green;">Approved</span>' : '<span style="color:red;">Not approved</span>' ?> -
            <?=$userinfo['is_suspended'] ? '<span style="color:red;">Suspended</span>' : '<span style="color:green;">Not suspended</span>' ?>
        </td>
    </tr>
    <tr>
        <td style="vertical-align:top;">Admin comments</td>
        <td><?=$userinfo['comments']?></tr>
    </tr>
</table>


<table id="user_info_tbl2" cellspacing="1" cellpadding="5" style="width: 100%;margin-top:5px;">
    <tr class="color3" skip_alternate="skip_alternate">
        <td colspan="2">
            <strong class="s1">Space usage</strong>
        </td>
    </tr>
    <tr>
        <td style="width: 150px;">Max file storage</td>
        <td><?=$userinfo['max_storage']?></td>
    </tr>
    <tr>
        <td>Max file size</td>
        <td><?=$userinfo['max_filesize']?></td>
    </tr>
    <tr>
        <td>Allowed filetypes</td>
        <td style="font-size:0.9em;"><?=$userinfo['filetypes']?></td>
    </tr>
    <tr>
        <td>File rename permission</td>
        <td><?php switch ( $userinfo['allow_rename'] ) { case 'all': print 'Filename and extension'; break; case 'nameonly': print 'Filename only'; break; case 'norename': default: print 'Cannot rename files'; } ?></td>
    </tr>
    <tr>
        <td>Images only</td>
        <td><?= $userinfo['images_only'] ? 'Images only' : 'Non images allowed' ?></td>
    </tr>
    <tr>
        <td>Watermarking</td>
        <td><?= $userinfo['fl_watermark'] ? 'Watermark images uploaded by this user' : 'Do not watermark' ?></td>
    </tr>
    <tr>
        <td>Folder creation</td>
        <td><?= $userinfo['allow_create_folder'] ? 'Allowed' : 'Not allowed' ?>, <?=$userinfo['max_folders']?> folders max.</td>
    </tr>
</table>


<table id="user_info_tbl3" cellspacing="1" cellpadding="5" style="width: 100%;margin-top:5px;">
    <tr class="color3" skip_alternate="skip_alternate">
        <td colspan="2">
            <strong class="s1">Bandwidth usage</strong>
        </td>
    </tr>
    <tr>
        <td style="width: 150px;">Bandwidth limit</td>
        <td><?=$userinfo['max_bandwidth']?></td>
    </tr>
    <tr>
        <td>Bandwidth used (<a href="<?=$userinfo['bandwidth_reset_url']?>">Reset</a>)</td>
        <td><?=$userinfo['bw_used']?></td>
    </tr>
    <tr>
        <td>Last bandwidth counter reset</td>
        <td><?=$userinfo['bw_last_reset_days']?> days ago on <?=$userinfo['bw_last_reset']?></td>
    </tr>
    <tr>
        <td>Bandwidth counter reset</td>
        <td><?=$userinfo['bw_auto_reset'] ? 'Automatically' : 'Manually by admin' ?></td>
    </tr>
    <tr>
        <td>Bandwidth reset period</td>
        <td>Every <?=$userinfo['bw_reset_period']?> days.</td>
    </tr>
</table>

<!-- alternating row color -->
<script type="text/javascript">
    alternateRowColor(getObj('user_info_tbl1'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('user_info_tbl2'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('user_info_tbl3'),'tr','#F5F5F5','#FBFBFB');
</script>
<?php endif; ?>







<?php /* Edit user info */ if ( $action == 'edit_user' ) : ?>

<?php /* If settings have been saved, display this little notification */ if ( $saved ) : ?>
<p class="note1" style="text-align:center;">All settings have been saved!</p>
<?php endif; ?>

<p>
    Explainations for these settings are available in the <a href="admin.php?action=user_settings">New Users Settings</a> section.
</p>

<form method="post" action="admin.php">
    <input type="hidden" name="action" value="edit_user" />
    <input type="hidden" name="userid" value="<?=$userinfo['id']?>" />
    <input type="hidden" name="task" value="save" />

    <fieldset>
        <legend>Basic user info</legend>
        <table id="tbl1" style="width:100%" cellspacing="1" cellpadding="3">
            <tr>
                <td style="width:130px;">New Password</td>
                <td><input type="password" name="userinfo[new_password]" value="" size="50" /> (enter new password to change)</td>
            </tr>
            <tr>
                <td>Email address</td>
                <td><input type="text" name="userinfo[email]" value="<?=$userinfo['email']?>" size="50" /></td>
            </tr>
            <tr>
                <td style="vertical-align:top;">Account info</td>
                <td>
                    <select name="userinfo[level]" style="width:100px;">
                        <option value="<?=LEVEL_NORMAL?>" <?=$userinfo['level']==LEVEL_NORMAL?'selected="selected"':''?>>Normal user</option>
                        <option value="<?=LEVEL_MODERATOR?>" <?=$userinfo['level']==LEVEL_MODERATOR?'selected="selected"':''?>>Moderator</option>
                        <option value="<?=LEVEL_ADMIN?>" <?=$userinfo['level']==LEVEL_ADMIN?'selected="selected"':''?>>Admin</option>
                    </select>&nbsp;&nbsp;
                    <input type="checkbox" id="is_activated" class="chkbox" name="userinfo[is_activated]" <?=$userinfo['is_activated'] ? 'checked="checked"' : ''?> /><label for="is_activated">Activated</label>&nbsp;&nbsp;&nbsp;
                    <!-- use the global user action feature to approve users. That will notify users, this will not, there for this is commented out. You can uncomment this to enable it.
                    <input type="checkbox" id="is_approved" class="chkbox" name="userinfo[is_approved]" <?=$userinfo['is_approved'] ? 'checked="checked"' : ''?> /><label for="is_approved">Approved</label>&nbsp;&nbsp;&nbsp;
                    -->
                    <input type="checkbox" id="is_suspended" class="chkbox" name="userinfo[is_suspended]" <?=$userinfo['is_suspended'] ? 'checked="checked"' : ''?> /><label for="is_suspended">Suspended</label>
                </td>
            </tr>
            <tr>
                <td style="vertical-align:top;">Admin comments</td>
                <td>
                    <input type="text" name="userinfo[comments]" size="80" maxlength="100" value="<?=$userinfo['comments']?>" /><br />
                    <span style="font-size:0.9em;">This will not be visible to the user</span>
                </td>
            </tr>
        </table>
    </fieldset>

    <fieldset>
        <legend>Space usage &amp; restrictions</legend>
        <table id="tbl2" style="width:100%" cellspacing="1" cellpadding="3">
            <tr>
                <td style="width:130px;">Max file storage</td>
                <td>
                    <input type="text" name="userinfo[fl_max_storage]" value="<?=$userinfo['fl_max_storage']?>" size="5" id="max_storage" style="text-align:center;" />
                    &nbsp;MB (Enter 0 for unlimited)
                </td>
            </tr>
            <tr>
                <td>Max file size</td>
                <td>
                    <input type="text" name="userinfo[fl_max_filesize]" value="<?=$userinfo['fl_max_filesize']?>" size="5" id="max_filesize" style="text-align:center;" />
                    &nbsp;KB (Enter 0 for unlimited)
                </td>
            </tr>
            <tr>
                <td>Max folders</td>
                <td>
                    <input type="text" name="userinfo[fl_max_folders]" value="<?=$userinfo['fl_max_folders']?>" size="5" id="max_folders" maxlength="3" style="text-align:center"  />
                    folders (Enter 0 for unlimited)
                </td>
            </tr>
            <tr>
                <td>Images only</td>
                <td>
                    <input type="radio" name="userinfo[fl_images_only]" id="images_only1" value="1" <?=$userinfo['fl_images_only']==1?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="images_only1">User can only upload images</label>
                    <br />
                    <input type="radio" name="userinfo[fl_images_only]" id="images_only0" value="0" <?=$userinfo['fl_images_only']==0?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="images_only0">Non-images allowed</label>
                </td>
            </tr>
            <tr>
                <td>Images watermark</td>
                <td>
                    <input type="radio" name="userinfo[fl_watermark]" id="fl_watermark1" value="1" <?=$userinfo['fl_watermark']==1?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="fl_watermark1">Watermark images uploaded by this user</label>
                    <br />
                    <input type="radio" name="userinfo[fl_watermark]" id="fl_watermark0" value="0" <?=$userinfo['fl_watermark']==0?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="fl_watermark0">Do not watermark</label>
                </td>
            </tr>
            <tr>
                <td>Rename permission</td>
                <td>
                    <input type="radio" name="userinfo[fl_allow_rename]" id="allow_rename0" value="norename" <?=$userinfo['fl_allow_rename']=='norename'?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="allow_rename0">Not allowed</label>
                    <br />
                    <input type="radio" name="userinfo[fl_allow_rename]" id="allow_rename1" value="nameonly" <?=$userinfo['fl_allow_rename']=='nameonly'?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="allow_rename1">Filename only</label>
                    <br />
                    <input type="radio" name="userinfo[fl_allow_rename]" id="allow_rename2" value="all" <?=$userinfo['fl_allow_rename']=='all'?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="allow_rename2">Filename and extension</label>
                </td>
            </tr>
            <tr>
                <td>Folder creation</td>
                <td>
                    <input type="checkbox"  class="chkbox" name="userinfo[fl_create_folder]" value="1" <?=$userinfo['fl_create_folder']==1?'checked="checked"':''?> id="fl_create_folder" />
                    <label for="fl_create_folder">User can create folders</label>
                </td>
            </tr>
            <tr>
                <td>Allowed file types</td>
                <td><input type="text" name="userinfo[fl_allowed_filetypes]" value="<?=$userinfo['fl_allowed_filetypes']?>" size="80" /></td>
            </tr>
        </table>
    </fieldset>

    <fieldset>
        <legend>Bandwidth usage &amp; restrictions</legend>
        <table id="tbl3" style="width:100%" cellspacing="1" cellpadding="3">
            <tr>
                <td style="width:130px;">Bandwidth limit</td>
                <td>
                    <input type="text" size="5" name="userinfo[bw_max]" value="<?=$userinfo['bw_max']?>" id="max_bandwidth" style="text-align:center;"  />
                    MB (Enter 0 for unlimited)
                </td>
            </tr>
            <tr>
                <td style="width:100px;">Bandwidth period</td>
                <td>
                    <input type="text" size="5" name="userinfo[bw_reset_period]" value="<?=$userinfo['bw_reset_period']?>" id="bwrp" style="text-align:center;" />
                    days
                </td>
            </tr>
            <tr>
                <td style="width:100px;">Bandwidth counter reset</td>
                <td>
                    <input type="radio" name="userinfo[bw_auto_reset]" id="bw_auto_reset1" value="1" <?=$userinfo['bw_auto_reset']==1?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="bw_auto_reset1">Automatically</label>
                    <br />
                    <input type="radio" name="userinfo[bw_auto_reset]" id="bw_auto_reset0" value="0" <?=$userinfo['bw_auto_reset']==0?'checked="checked"':''?> style="margin-bottom:-2px; margin-left:-1px;"/>
                    <label for="bw_auto_reset0">Manually</label>
                </td>
            </tr>
        </table>
    </fieldset>

    <div style="text-align:center; margin-top:15px;">
        <input type="submit" value="Save settings" class="blue_button" /> <input type="button" value="Cancel" onclick="go('admin.php?action=users');" class="blue_button" /> <input type="reset" value="Undo changes" onclick="return confirm('Reset form?');"  class="blue_button"/>
    </div>
</form>

<!-- alternating row color -->
<script type="text/javascript">
    alternateRowColor(getObj('tbl1'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('tbl2'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('tbl3'),'tr','#F5F5F5','#FBFBFB');
</script>
<?php endif; ?>



<?php if ( $action == 'user_files' ) : ?>
<!-- folders -->
<form method="post" action="admin.php">
    <fieldset>
	<legend>Folders</legend>

	<p style="background-color:#FAFAFA;padding:5px;margin-bottom:4px;color:#404040;">
	    The Main Folder cannot be renamed or deleted, delete contents only. Deleting contents will remove ALL of <?=$userinfo['name']?>'s files.
	    Please be very careful when performing an action as deleted files cannot be recovered.
	</p>

	<input type="hidden" name="action" value="user_folders_actions" />
	<input type="hidden" name="userid" value="<?=$userinfo['id']?>" />
	<input type="hidden" name="folder" value="<?=$current_folder_path?>" />
	<table id="user_folders_tbl" style="color:#404040;width:100%" cellspacing="1" cellpadding="4">
	    <tr class="color3" skip_alternate="skip_alternate">
		<td style="width:20px;" class="ct"><img src="templates/default/images/folder.gif" alt="" /></td>
		<td style="width:400px;"><strong class="s1">Folder<strong></td>
		<td class="ct"><strong class="s1">Files</strong></td>
		<td class="ct"><strong class="s1">Size</strong></td>
	    </tr>
	    <tr>
		<td class="ct"><input type="radio" name="selected_folder" value="" class="radio" /></td>
		<td><a href="<?=$main_folder['url']?>">Main Folder</a></td>
		<td class="ct"><?=$main_folder['files']?></td>
		<td class="ct"><?=$main_folder['size']?></td>
	    </tr>
	    <?php reset ( $user_folders ); while ( list ( $i, $folder ) = each ( $user_folders ) ) : $folder['spaces'] = str_repeat ( '&nbsp; &nbsp;', $folder['level'] ); ?>
	    <tr>
		<td class="ct"><input type="radio" name="selected_folder" value="<?=$folder['path']?>" class="radio" /></td>
		<td><?=$folder['spaces']?><a href="<?=$folder['folder_url']?>"><?=$folder['name']?></a></td>
		<td class="ct"><?=$folder['files']?></td>
		<td class="ct"><?=$folder['size']?></td>
	    </tr>
	    <?php endwhile; ?>
	</table>
	<table id="files_options_tbl1" style="color:#404040;width:100%;margin-top:5px;" cellspacing="1" cellpadding="3">
	    <tr>
		<td>Action to perform on selected folder</td>
		<td>
		    <select name="task">
			<option value="" selected="selected">Select action</option>
			<option value="delete">Delete selected folder</option>
			<option value="rename">Rename folder</option>
		    </select>
		</td>
	    </tr>
	    <tr>
		<td>Value (optional, required for: rename, chmod, ...)</td>
		<td><input type="text" name="task_value" size="50" /></td>
	    </tr>
	    <tr>
		<td></t>
		<td><input type="submit" class="blue_button" value="Submit" /></td>
	    </tr>
	</table>
    </fieldset>
</form>
<!-- files -->
<form method="post" action="admin.php">
    <input type="hidden" name="action" value="user_files_actions" />
    <input type="hidden" name="userid" value="<?=$userinfo['id']?>" />
    <input type="hidden" name="folder" value="<?=$current_folder_path?>" />

    <fieldset>
	<legend><?=$current_folder_name == '' ? 'Main Folder' : $current_folder_name?></legend>
	<table id="user_files_tbl" style="color:#404040;width:100%;margin-top:5px;" cellspacing="1" cellpadding="4">
	    <tr class="color3" skip_alternate="skip_alternate">
		<td style="width:20px;"><input type="checkbox" onclick="checkAllBoxes(this.form,'files[]',this.checked);" /></td>
		<td style="width:300px;"><strong class="s1">Filename<strong></td>
		<td class="ct"><strong class="s1">Size</strong></td>
		<td class="ct"><strong class="s1">Uploaded</strong></td>
		<td class="ct"><strong class="s1">Perm</strong></td>
	    </tr>
	    <?php if ( count ( $user_files ) ) : reset ( $user_files ); while ( list ( $i, $file ) = each ( $user_files ) ) : ?>
	    <tr>
		<td><input type="checkbox" name="files[]" value="<?=$file['form_name']?>" /></td>
		<td><a href="<?=$file['file_url']?>"><?=$file['name']?></a></td>
		<td class="ct"><?=$file['size']?></td>
		<td class="ct"><?=$file['date']?></td>
		<td class="ct"><?=$file['perm']?></td>
	    </tr>
	    <?php endwhile; else: ?>
	    <tr style="line-height:1.6em;">
		<td colspan="5">This folder is empty.</td>
	    </td>
	    <?php endif;?>
	</table>

	<table id="files_options_tbl2" style="color:#404040;width:100%;margin-top:5px;" cellspacing="1" cellpadding="3">
	    <tr>
		<td>Action to perform on selected files</td>
		<td>
		    <select name="task">
			<option value="" selected="selected">Select action</option>
			<option value="chmod">CHMOD (example: 0666 or 0755)</option>
			<option value="delete">Delete</option>
			<option value="rename">Rename file (select only one file)</option>
			<option value="move">Move...(select target folder below)</option>
		    </select>
		</td>
	    </tr>
	    <tr>
		<td>Move selected files to (optional)</td>
		<td>
		    <select name="move_to">
			<option value="">Main Folder</option>
			<?php /* Loop through list of folders */ reset ( $user_folders ); while ( list ( $i, $folder ) = each ( $user_folders ) ) : $folder['spaces'] = str_repeat ( '&nbsp;&nbsp;&nbsp;', $folder['level'] ); ?>
			<option value="<?=$folder['path']?>">
			    <?=$folder['spaces']?><?=str_slice($folder['name'],40)?>
			</option>
			<?php /* End folders loop */ endwhile; ?>
		    </select>
		</td>
	    </tr>
	    <tr>
		<td>Value (optional, required for: rename, chmod, ...)</td>
		<td><input type="text" name="task_value" size="50" /></td>
	    </tr>
	    <tr>
		<td></t>
		<td><input type="submit" class="blue_button" value="Submit" /></td>
	    </tr>
	</table>
    </fieldset>
</form>


<script type="text/javascript">
    alternateRowColor(getObj('user_files_tbl'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('user_folders_tbl'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('files_options_tbl1'),'tr','#F5F5F5','#FBFBFB');
    alternateRowColor(getObj('files_options_tbl2'),'tr','#F5F5F5','#FBFBFB');
</script>
<?php endif; ?>