<?php
if ( !isset ( $page_title ) )   $page_title = 'Uploader';
if ( !isset ( $content ) )      $content    = 'No content specified.';
$runtime = timer ( $UPL['RUNTIME'], 5 );

// check for unread messages
$has_unread = false;
if ( $UPL['USER']['logged_in'] )
{
    $messages =& $UPL['USER']['messages'];
    reset ( $messages );
    while ( list ( $i, $message ) = each ( $messages ) )
    {
	if ( !$message['read'] ) $has_unread = true;
    }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<meta http-equiv="Content-type" content="text/html; charset=iso-8859-1" />
<title><?=$page_title;?> - Uploader v6</title>
<link rel="stylesheet" type="text/css" href="templates/default2/style.css" media="all">
<script type="text/javascript" src="templates/default2/javascript.js"></script>
</head>
<body>
    <noscript>
        <p style="text-align:center;font-size:1.2em;color:red;font-weight:bold;">Please enable Javascript to properly access this service.</p>
    </noscript>
    <div id="container">
        <div id="container2">
			<div id="top">
				Welcome <span style="color:#FF8000;"><?=$UPL['USER']['name']?>!</span>
			</div>
			<div id="menu">
				<div id="menu_links">
					<div style="float:left;">
						<a href="index.php">Main</a>
						<?php /* show browse link if user is logged in or public browsing is enabled */ if ( $UPL['USER']['logged_in'] || $UPL['SETTINGS']['browsing'] == 'any' ) : ?>
						<a href="browse.php">Members</a>
						<?php endif; ?>
						<?php /* If user is logged in, show this menu */ if ( $UPL['USER']['logged_in'] ) : ?>
						<a href="myfiles.php">My Files</a>
						<a href="upload.php">Upload</a>
						<?php /* Otherwise, show this menu instead */ else: ?>
						<a href="account.php?action=login">Login</a>
						<a href="account.php?action=register">Register</a>
						<?php endif; ?>
					</div>

					<?php /* If user is logged in, show this menu */ if ( $UPL['USER']['logged_in'] ) : ?>
					<div style="float:right;">
						<a href="usercp.php">UserCP</a>
						<a href="account.php?action=logout" onclick="return confirm('Confirm logout?');">Logout</a>
					</div>
					<?php endif;?>
				</div>
			</div>

			<div id="message">
				<div style="float:left;width:98%;" id="message_content"><!-- --></div>
				<div style="float:right;width:10px;text-align:right;"><img src="templates/default2/images/close.gif" alt="" onclick="showIt('message',false);" style="cursor:pointer;" /></div>
				<div class="spacer"><!-- --></div>
			</div>

            <div id="content">
                <?=$content?>
            </div>
        </div>
    </div>
    <div id="credit">
        <!-- This script is copyrighted, PLEASE don't remove. -->
        Uploaderv6.1 &copy; <a href="http://www.celerondude.com/page_php">www.celerondude.com</a><br />
        Generated in <?=$runtime?> seconds.
        <?php /* Show this link if user is a mod or admin */ if ( $UPL['USER']['level'] >= LEVEL_MODERATOR ) : ?>
        <br /> <a href="admin.php">Go to Admin section</a>
        <?php endif; ?>
    </div>

    <!-- post processing -->
    <?php /* Show message if there are unread messages */
    if ( $has_unread ) : ?>
    <script type="text/javascript">
    help ( 'You have a new message. <a href="usercp.php?action=pm" class="special">Click here</a> to view your messages.' );
    </script>
    <?php endif; ?>
</body>
</html>